#include "DayEventValues.h"

DayEventValues::DayEventValues(int defaultTime) : QWidget(nullptr)
{
	if (defaultTime < 0) {
		return;
	}

	// Inicializace vsech hodnot.
	eventIsChecked = true;
	eventValue = 0;
	eventTimeHours = defaultTime;
	eventTimeMinutes = 0;
	eventJitter = 0;
}

DayEventValues::~DayEventValues()
{

}

bool DayEventValues::getEventIsChecked()
{
	return this->eventIsChecked;
}

void DayEventValues::setEventIsChecked(bool eventIsChecked)
{
	this->eventIsChecked = eventIsChecked;
}

double DayEventValues::getEventValue()
{
	return this->eventValue;
}

void DayEventValues::setEventValue(double eventValue)
{
	this->eventValue = eventValue;
}

int DayEventValues::getEventTimeHours()
{
	return this->eventTimeHours;
}

void DayEventValues::setEventTimeHours(int eventTimeHours)
{
	this->eventTimeHours = eventTimeHours;
}

int DayEventValues::getEventTimeMinutes()
{
	return this->eventTimeMinutes;
}

void DayEventValues::setEventTimeMinutes(int eventTimeMinutes)
{
	this->eventTimeMinutes = eventTimeMinutes;
}

double DayEventValues::getEventJitter()
{
	return this->eventJitter;
}

void DayEventValues::setEventJitter(double eventJitter)
{
	this->eventJitter = eventJitter;
}

void DayEventValues::saveEvent(DayEventWidgets *eventWidgets)
{
	// Ulozeni hodnot.
	this->eventIsChecked = eventWidgets->getEventCheck()->checkState();
	this->eventValue = eventWidgets->getEventBox()->value();
	this->eventTimeHours = eventWidgets->getEventTime()->time().hour();
	this->eventTimeMinutes = eventWidgets->getEventTime()->time().minute();
	this->eventJitter = eventWidgets->getEventJitterSlider()->value();
}
