#include "DayEventWidgets.h"

DayEventWidgets::DayEventWidgets(char *label) : QWidget(nullptr)
{
	if (!label) {
		return;
	}

	// Inicializace vsech promennych.
	eventCheck = new QCheckBox(label);
	eventBox = new QDoubleSpinBox();
	eventBox->setMaximum(VALUE_MAX);
	eventJitterLabelZero = new QLabel("0");
	eventJitterLabelOne = new QLabel("1");
	eventJitterSlider = new QSlider(Qt::Horizontal);
	eventJitterSlider->setMaximum(60);
	eventTime = new QTimeEdit();
}

DayEventWidgets::~DayEventWidgets()
{

}

QCheckBox* DayEventWidgets::getEventCheck()
{
	return this->eventCheck;
}

/* DoubleSpinBox pro zjisteni hodnot z dane akce (napr. mnozstvi cukru). */
QDoubleSpinBox* DayEventWidgets::getEventBox()
{
	return this->eventBox;
}

QLabel* DayEventWidgets::getEventJitterLabelZero()
{
	return this->eventJitterLabelZero;
}

QLabel* DayEventWidgets::getEventJitterLabelOne()
{
	return this->eventJitterLabelOne;
}

QSlider* DayEventWidgets::getEventJitterSlider()
{
	return this->eventJitterSlider;
}

QTimeEdit* DayEventWidgets::getEventTime()
{
	return this->eventTime;
}