#pragma once

#include "../BaseConfigs/BaseConfigs.h"
#include "../def.h"
#include "../Day/Day.h"

class Day;

/**
* Trida, udrzujici dny v tydnu, podle parametru num_of_days vytvori tyden s 1 nebo 7 dny.
*/
class Week
{

public:
	/* Vytvori novy tyden o num_of_days poctu dnech. */
	Week(int numOfDays, int weekIndex);

	virtual ~Week();

	/* Vrati vektor dnu. */
	std::vector<Day*> getDays();

	/* Vrati den na pozici index. */
	Day* getDay(int index);

private:

	/* Vektor dnu v tydnu. */
	std::vector<Day*> days;

	/* Cislo tydne. */
	int weekIndex;

	/* Pocet dni v tydnu. */
	int numOfDays;
};