#pragma once

#include "../MainDefWindow/MainDefWindow.h"
#include "../../def.h"

/**
* Prvni okno aplikace.
*/
class FirstDefWindow : public QMainWindow
{
	Q_OBJECT

public:
	/* Vytvori nove okno. */
	FirstDefWindow();
	virtual ~FirstDefWindow();

private slots:
	/* Funkce ktera preobehne, pri stiknuti tlacikta Continue */
	void OnContinueButtonClick();

private:

	/* Hlavni okno. */
	MainDefWindow* mw;

	/* Vek pacienta. */
	int ageValue;

	/* Typ diabetu (I. (true) nebo II. typ (false)).  */
	bool diabetValue;

	/* Pocet dni v tydnu ( true - 1, false 7). */
	bool dailyValue;

	/* Pocet tydnu simulace. */
	int numOfWeeksValue;

	/* Popis okna s vekem. */
	QLabel* ageLabel;

	/* Popis okna s typem diabetu. */
	QLabel* diabetLabel;

	/* Popis okna s poctem tydnu. */
	QLabel* numOfWeeksLabel;

	/* Box pro ziskani veku. */
	QSpinBox* age;

	/* Box pro ziskani typu diabetu. */
	QComboBox* diabet;

	/* Chechkbox pro ziskani informace, jestli bude definice probihat po tydnech nebo po dnech. */
	QCheckBox* daily;

	/* Box pro ziskani poctu tydnu. */
	QSpinBox* numOfWeeks;

	/* Tlacitko pro pokracovani. */
	QPushButton* continueButton;
};
